Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.crs.configuration.resources
Interface CRSResource<T>

Type Parameters:
  `T` - of the resource

All Superinterfaces:
  XLinkResolver<T>

All Known Subinterfaces:
  GMLResource, XMLResource

All Known Implementing Classes:
  CRSParser, CRSParser_0_1_0, GMLFileResource, ProjFileResource, XMLFileResource

    public interface CRSResource<T>

extends XLinkResolver<T>

The `GMLResource` class defines the access to a resource containing GML crs definitions, often a dictionary file or a database.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Method Summary
`Transformation` | `getTransformation(CoordinateSystem sourceCRS, CoordinateSystem targetCRS)` Implementations should find a given transformation (chain) which transforms coordinates of the given coordinate system into coordinates of the target crs.
`Helmert` | `getWGS84Transformation(GeographicCRS sourceCRS)` Implementations should find the helmert transformation which transforms coordinates of the geodetic datum into coordinates of the WGS84 datum.

Methods inherited from interface org.deegree.framework.xml.XLinkResolver
`getURIAsType`

Method Detail

### getWGS84Transformation

    Helmert getWGS84Transformation(GeographicCRS sourceCRS)

  Implementations should find the helmert transformation which transforms coordinates of the geodetic datum into coordinates of the WGS84 datum. If no such transformation could be found, the implementation should return `null`

  Parameters:
    `sourceCRS` - to retrieve the transformation for.
  Returns:
    the `Helmert` transformation or `null` if no such transformation was defined.

### getTransformation

    Transformation getTransformation(CoordinateSystem sourceCRS,
                                     CoordinateSystem targetCRS)

  Implementations should find a given transformation (chain) which transforms coordinates of the given coordinate system into coordinates of the target crs. If no such transformation could be found, the implementation should return `null`

  Parameters:
    `sourceCRS` - start point of the transformation.
    `targetCRS` - end point of the transformations
  Returns:
    the `Transformation` or `null` if no such transformation was defined.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org